#!/bin/sh
#
# Copyright (c) 2008  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Ringlet: t/03-list-all.t 2801 2008-10-25 17:31:46Z roam $

[ -z "$CONFGET" ] && CONFGET='./confget'
[ -z "$TESTDIR" ] && TESTDIR='t'

T1="$TESTDIR/t1.ini"

echo '1..7'

if [ ! -f "$T1" ]; then
	echo "Bail out!  No test file $T1"
	exit 255
fi

l=`$CONFGET -f "$T1" -s a -l | wc -l | tr -d ' '`
if [ "$l" = '4' ]; then echo 'ok 1'; else echo "not ok 1 '$l'"; fi
l=`$CONFGET -f "$T1" -N -s b -l | fgrep -e '=' | wc -l | tr -d ' '`
if [ "$l" = '2' ]; then echo 'ok 2'; else echo "not ok 2 '$l'"; fi
l=`$CONFGET -f "$T1" -n -s c -l | fgrep -ve '=' | wc -l | tr -d ' '`
if [ "$l" = '1' ]; then echo 'ok 3'; else echo "not ok 3 '$l'"; fi
l=`$CONFGET -f "$T1" -s d -l | wc -l | tr -d ' '`
if [ "$l" = '0' ]; then echo 'ok 4'; else echo "not ok 4 '$l'"; fi

QUERY_STRING='key1=value1&key2=%3Dvalue2%26&amp;key3=%09%09%20val%27ue3'
Q1='key4&amp;key5=%09%09%20val%27ue5&key6'
Q2=''
export QUERY_STRING Q1 Q2

l=`$CONFGET -t http_get -l | wc -l | tr -d ' '`
if [ "$l" = '3' ]; then echo 'ok 5'; else echo "not ok 5 '$l'"; fi
l=`$CONFGET -t http_get -s Q1 -l | wc -l | tr -d ' '`
if [ "$l" = '3' ]; then echo 'ok 6'; else echo "not ok 6 '$l'"; fi
l=`$CONFGET -t http_get -s Q2 -l | wc -l | tr -d ' '`
if [ "$l" = '0' ]; then echo 'ok 7'; else echo "not ok 7 '$l'"; fi
